Subject: Re: Aliases no longer defined?
From: Peter Davis <[email-masked]>
To: [email-masked]
Cc: Igor Pechtchanski <[email-masked]>
Date: Tue, 1 Apr 2003 15:43:20 -0500

On Tue, 1 Apr 2003 14:59:17 -0500 (EST)
Igor Pechtchanski <[email-masked]> wrote:

> On Tue, 1 Apr 2003, Peter Davis wrote:
> 
> > On Tue, 1 Apr 2003 11:46:34 -0500 (EST)
> > Igor Pechtchanski <[email-masked]> wrote:
> 
> > > [snip]
> > > Peter,
> > >
> > > Could you please attach your .bashrc (if you did and I missed it,
> > > I apologize).  Also, please attach the output of "cygcheck -svr".
> > > Please do not paste either in-line, as there may be special
> > > characters that matter.
> 
> > I'm trying this again, as last time the list bounced it as suspected
> > spam.
> 
> > set rmnx='rmm;next'
> > export rmnx
> > set rmpr='rmm;prev'
> > export rmpr
> > set pinc='perl ~/pinc.pl'
> > export pinc
> > set reshow='more `mhpath cur`'
> > export reshow
> > set wshow='cat `mhpath cur` | ~/showhtml.pl | ~/shellex.sh'
> > export wshow
> > set bshow='~/demime.pl `mhpath cur` | ~/shellex.sh'
> > export bshow
> > set kfilt='pick -search euc-kr -or -search ks_c_5601-1987 -seq
> > korean' export kfilt
> > set stunnel='/cygdrive/c/stunnel/stunnel-3.22 -c -d pop3 -r
> > mail.attbi.com:995&' export stunnel
> > set html2ps='/cygdrive/c/html2ps/html2ps'
> > export html2ps
> > set NNTPSERVER=news.bitstream.com
> > export NNTPSERVER
> > set
> > xemacs='c:/PROGRA~1/XEmacs/XEmacs-21.4.10/i586-pc-win32/xemacs.exe&'
> > export xemacs set xterm='rxvt -g 80x56-70+0 -backspacekey ^H -fn
> > 9x15 -fb 9x15bold &' export xterm
> > set xmutt='rxvt -g 80x56-75+0 -backspacekey ^H -fn 9x15 -fb 9x15bold
> > -e mutt &' export xmutt
> 
> Peter,
> 
> First off, I don't see any alias definitions in the above file. 
> Secondly,"set A=B" is *not* bash syntax, it's cmd.exe syntax.  This
> will not work in bash.  Thirdly, even if it did, you'd need to use
> "$xemacs" instead of"xemacs", for example, to invoke it.

Well, the main things I want to do are:

1) Run stunnel just by typing 'stunnel'

2) Run mutt

3) Add /usr/local/nmh/bin to my path, so I can run the nmh programs, and

4) Add /usr/local/nmh/man to my manpath, so I can get at the man pages.

Of these, the only thing I can do now is #2, but all of this used to
work on my previous system.

> 
> Since I'm picking on xemacs, I'll use that as an example.  Try either
> 	alias
> 	xemacs='c:/PROGRA~1/XEmacs/XEmacs-21.4.10/i586-pc-win32/xemacs.
> 	exe&'
> Or
> 	xemacs() {
> 	'c:/PROGRA~1/XEmacs/XEmacs-21.4.10/i586-pc-win32/xemacs.exe'& }
> 	export xemacs

This is a remnant of when I had the cygwin version of XEmacs installed. 
I did this purely to run MH-E.  I may do this again, but it's not an
issue for now.

> Either should work.  Depending on your bash settings, you may not need
> the"export" above.  For details, "man bash"/"info bash".

As I mentioned, I'm not a bash expert.  I just need to do those few
basic things.  At some point, I'll figure out why tcsh takes forever to
start on my system, and then I'll use that.

Thanks!

-pd

-- 
--------
                             Peter Davis
               Funny stuff at http://www.pfdstudio.com
                 The artwork formerly shown as prints
    List of resources for children's writers and illustrators at:
                  http://www.pfdstudio.com/cwrl.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/